## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:       nushell
Version:    0.101.0
Release:    %autorelease
Summary:    A new type of shell

License:    MIT
URL:        https://github.com/nushell/nushell
Source:     %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cargo
BuildRequires: rust
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: python3-devel

BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(zlib)

%description
The goal of this project is to take the Unix philosophy of shells, where
pipes connect simple commands together, and bring it to the modern style
of development. Thus, rather than being either a shell, or a programming
language, Nushell connects both by bringing a rich programming language and a
full-featured shell together into one package.

Nu takes cues from a lot of familiar territory: traditional shells like bash,
object based shells like PowerShell, gradually typed languages like TypeScript,
functional programming, systems programming, and more. But rather than trying to
be a jack of all trades, Nu focuses its energy on doing a few things well:

* Being a flexible cross-platform shell with a modern feel
* Solving problems as a modern programming language that works with the structure of your data
* Giving clear error messages and clean IDE support

%prep
%autosetup
cat >>Cargo.toml <<HERE

[profile.copr]
inherits = "release"
opt-level = 3
strip = true
lto = true
codegen-units = 1
HERE

%install
cargo install --profile copr --locked --root=%{buildroot}%{_prefix} --path=.

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/nu

%changelog
## START: Generated by rpmautospec
* Sun Jan 05 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-10
- improve profile determination and unnecessary rustup stuff

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-9
- fix changelog

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-8
- change description

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-7
- Bump for autorelease

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-6
- test autorelease to see if it creates a third revision

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-5
- test autorelease, to see if it creates a second revision

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-4
- switch to autorelease and autochangelog

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-3
- remove version requirements on rust toolchain

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-2
- build new revision of nushell

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-1
- make repo nushell-only
## END: Generated by rpmautospec
